@mixin svg-set() {
  & svg g polygon {
    @content;
  }
  & svg path {
    @content;
  }
  & svg g path {
    @content;
  }
  & svg g line {
    @content;
  }
  & svg circle {
    @content;
  }
  & svg rect {
    @content;
  }
}

@mixin make-transition() {
  transition: all 0.2s ease-in-out;
}

@mixin make-gradietion-text() {
  background: linear-gradient(to left, var(--element-main), var(--element-link));
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}